#!/bin/sh
IPMI_DRIVERS="ipmi_si ipmi_si_drv ipmi_kcs_drv ipmi_devintf ipmi_msghandler"
driver_exist=0
for driver in $IPMI_DRIVERS; do
  lsmod | grep ^$driver > /dev/null
  RETURN_VALUE=$?
  if [ $RETURN_VALUE -eq 0 ] ; then
	driver_exist=1
  fi
done



if [ $driver_exist -eq 1 ] ; then 
	sh unload_ipmi_driver.sh
fi

./lUpdate $*

if [ $driver_exist -eq 1 ] ; then 
	sh load_ipmi_driver.sh
fi